summaryrefslogtreecommitdiffstats
path: root/bin/toaster
diff options
context:
space:
mode:
Diffstat (limited to 'bin/toaster')
-rwxr-xr-xbin/toaster6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/toaster b/bin/toaster
index 5cc77edb33..dfaff2e071 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -252,9 +252,9 @@ case $CMD in
fi
# Create configuration file
- conf=${BUILDDIR}/conf/toaster.conf
- echo "# Created by toaster start script" > $conf
- echo "INHERIT+=\"toaster buildhistory\"" >> $conf
+ conf=${BUILDDIR}/conf/local.conf
+ line='INHERIT+="toaster buildhistory"'
+ grep -q "$line" $conf || echo $line >> $conf
if [ $WEBSERVER -gt 0 ] && ! webserverStartAll; then
echo "Failed ${CMD}."